OMEGA(1)

NAME
omega, iniomega, viromega - extended unicode TeX

SYNOPSIS
omega [options] [& format ] [ file | \ commands ]

DESCRIPTION
Run the Omega typesetter on file, usually creating file.dvi. If the file argument has no extension, ".tex" will be appended to it. Instead of a filename, a set of Omega commands can be given, the first of which must start with a backslash. With a &format argument Omega uses a different set of precompiled commands, contained in format.fmt; it is usually better to use the -fmt format option instead.

Omega is a version of the TeX program modified for multilingual typesetting. It uses unicode, and has additional primitives for (among other things) bidirectional typesetting.

The iniomega and viromega commands are Omega's analogues to the initex and virtex commands. In this installation, they are symlinks to the omega executable.

Omega's command line options are similar to those of TeX.

Omega is experimental software.

OPTIONS
This version of Omega understands the following command line options.

--oft format
    Use format as the name of the format to be used, instead of the name by which Omega was called or a %& line.

-halt-on-error
    Exit with an error code when an error is encountered during processing.

--help
    Print help message and exit.

--ini
    Be iniomega, for dumping formats; this is implicitly true if the program is called as iniomega.

--interaction mode
    Sets the interaction mode. The mode can be one of batchmode, nonstopmode, scrollmode, and errorstopmode. The meaning of these modes is the same as that of the corresponding \commands.

--ipc
    Send DVI output to a socket as well as the usual output file. Whether this option is available is the choice of the installer.

--ipc-start
    As --ipc, and starts the server at the other end as well. Whether this option is available is the choice of the installer.

--kpathsea-debug bitmask
    Sets path searching debugging flags according to the bitmask. See the Kpathsea manual for details.

--maketex fmt
    Enable mktexfmt, where fmt must be one of tex or tfm.

--no-maketex fmt
    Disable mktexfmt, where fmt must be one of tex or tfm.

--output-comment string
    Use string for the DVI file comment instead of the date.

-output-directory directory
    directory instead of the current directory. Look up input files in directory first, the along the normal search path.

--parse-first-line
    If the first line of the main input file begins with %& parse it to look for a dump name.

--progname name
    Pretend to be program name. This affects both the format used and the search paths.

--recorder
    Enable the filename recorder. This leaves a trace of the files opened for input and output in a file with extension .ofl. (This option is always on.)

--shell-escape
    Enable the \write18{command} construct. The command can be any Bourne shell command. This construct is normally disallowed for security reasons.

--version
    Print version information and exit.

ENVIRONMENT
See the Kpathsearch library documentation (the `Path specifications' node) for precise details of how the environment variables are used. The kpsewhich utility can be used to query the values of the variables.

One caveat: In most Omega formats, you cannot use ~ in a filename you give directly to Omega, because ~ is an active character, and hence is expanded, not taken as part of the filename. Other programs, such as Metafont, do not have this problem.

TEXMFOUTPUT
    Normally, Omega puts its output files in the current directory. If any output file cannot be opened there, it tries to open it in the directory specified in the environment variable TEXMFOUTPUT. There is no default value for that variable. For example, if you say tex paper and the current directory is not writable, if TEXMFOUTPUT has the value /tmp, Omega attempts to create /tmp/paper.log (and /tmp/paper.dvi, if any output is produced.)

TEXINPUTS
    Search path for \input and \openin files. This should probably start with ``.'', so that user files are found before system files. An empty path component will be replaced with the paths defined in the texmf.cnf file. For example, set TEXINPUTS to ".:/home/usr/tex:" to prepend the current direcory and ``/home/user/tex'' to the standard search path.

TEXEDIT
    Command template for switching to editor. The default, usually vi, is set when Omega is compiled.

FILES
The location of the files mentioned below varies from system to system. Use the kpsewhich utility to find their locations.

omega.pool
    Encoded text of Omega's messages.

*.oft
    Predigested Omega format (.oft) files.

NOTES
This manual page is not meant to be exhaustive. The complete documentation for this version of Omega can be found in the info manual Web2C: A TeX implementation.

BUGS
This version of Omega implements a number of optional extensions. In fact, many of these extensions conflict to a greater or lesser extent with the definition of Omega. When such extensions are enabled, the banner printed when Omega starts is changed to print Omegak instead of Omega.

This version of Omega fails to trap arithmetic overflow when dimensions are added or subtracted. Cases where this occurs are rare, but when it does the generated DVI file will be invalid.

The DVI files produced by Omega may use extensions which make them incompatible with most software designed to handle DVI files. In order to print or preview them, you should use odvips to generate a PostScript file.

Omega is experimental software, and if you are an active user it is strongly recommended that you subscribe to the Omega mailing list. Visit the Omega website http://omega.cse.unsw.edu.au for information on how to subscribe.

SEE ALSO
tex(1), mf(1), odvips(1),

AUTHORS
The primary authors of Omega are John Plaice and Yannis Haralambous.